import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class MapleContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    maplePool({ address, network }: ContractOpts): import("./ethers").MaplePool;
    maplePoolManager({ address, network }: ContractOpts): import("./ethers").MaplePoolManager;
    mapleRewards({ address, network }: ContractOpts): import("./ethers").MapleRewards;
    mapleWithdrawalManager({ address, network }: ContractOpts): import("./ethers").MapleWithdrawalManager;
    mapleXMpl({ address, network }: ContractOpts): import("./ethers").MapleXMpl;
}
export type { MaplePool } from './ethers';
export type { MaplePoolManager } from './ethers';
export type { MapleRewards } from './ethers';
export type { MapleWithdrawalManager } from './ethers';
export type { MapleXMpl } from './ethers';
